<p-dialog
  [(visible)]="display"
  header="Titulo"
  [position]="utilitiesConfig.optionsDialog.position"
  [modal]="utilitiesConfig.optionsDialog.modal"
  [styleClass]="utilitiesConfig.optionsDialog.styleClass"
  [breakpoints]="utilitiesConfig.optionsDialog.breakpoints"
  [baseZIndex]="utilitiesConfig.optionsDialog.baseZIndex"
  [draggable]="utilitiesConfig.optionsDialog.draggable"
  [maximizable]="utilitiesConfig.optionsDialog.maximizable"
  [style]="utilitiesConfig.optionsDialog.style"
  [contentStyle]="utilitiesConfig.optionsDialog.contentStyle"
  (onHide)="goToPage()"
>
<ng-template pTemplate="header">
    <span class="p-dialog-title">
      <em class="pi pi-pencil"></em>
      Rompecabezas
    </span>    
    <div class="ties">
        <span class="void">
          <span class="tie-knot"></span>
        </span>
        <span class="void">
          <span class="tie-knot"></span>
        </span>
      </div>
  </ng-template>

<div class="grid p-fluid">
    <div class="field col-12 md:col-12 lg:col-8 xl:col-8 col-60" >
        <div id="juego" *ngIf="restart">
            <div class="piezas" id="pieza1">
                <img id="img1" src="assets/images/puzzle/{{selected}}/10.jpg" alt="imagen 1" />
            </div>
            <div class="piezas" id="pieza2">
                <img id="img2" src="assets/images/puzzle/{{selected}}/20.jpg" alt="imagen 2" />
            </div>
            <div class="piezas" id="pieza3">
                <img id="img3" src="assets/images/puzzle/{{selected}}/30.jpg" alt="imagen 3" />
            </div>
            <div class="piezas" id="pieza4">
                <img id="img4" src="assets/images/puzzle/{{selected}}/40.jpg" alt="imagen 4" />
            </div>
            <div class="piezas" id="pieza5">
                <img id="img5" src="assets/images/puzzle/{{selected}}/50.jpg" alt="imagen 5" />
            </div>
            <div class="piezas" id="pieza6">
                <img id="img6" src="assets/images/puzzle/{{selected}}/60.jpg" alt="imagen 6" />
            </div>
            <div class="piezas" id="pieza7">
                <img id="img7" src="assets/images/puzzle/{{selected}}/70.jpg" alt="imagen 7" />
            </div>
            <div class="piezas" id="pieza8">
                <img id="img8" src="assets/images/puzzle/{{selected}}/80.jpg" alt="imagen 8" />
            </div>
            <div class="piezas" id="pieza9"></div>
        </div>
    </div>

    <div class="field col-12 md:col-6 lg:col-4 xl:col-4 instructions">
        <div id="titulo">
            <h3 class="text-center m-0">ROMPECABEZAS</h3>
        </div>
        <div id="instrucciones">
            <h2 class="subtitulo m-0">Instrucciones</h2>
            <ul class="m-0" id="lista-instrucciones"></ul>
        </div>
        <div id="objetivo">
            <h2 class="subtitulo">Objetivo</h2>
            <div class="texto-centrado">
                <img src="assets/images/puzzle/{{selected}}/final.png" alt="imagen terminada" />
            </div>
        </div>
        <div id="ultimo-mov">
            <h2 class="subtitulo m-0">Ultimo Movimiento</h2>
            <div id="flecha" class="texto-centrado">{{ultimoMov}}</div>
        </div>
    </div>
    
    <div id="footer" class="field col-12 md:col-6 lg:col-12 xl:col-12 m-0">
        <h2 class="m-0">Opciones</h2>
        <div class="d-flex">
            <div *ngFor="let op of options" class="d-flex option-s" (click)="selectedOption(op);">
                <img id="img8" src="assets/images/puzzle/{{op}}/final.png" alt="imagen final opcion" width="80" />
                <label>{{op}}</label>
            </div>
        </div>
    </div>
</div>

<ng-template pTemplate="footer">
    <div class="flex justify-content-center">
        <button class="boton_personalizado" type="button" name="button" (click)="selectedOption(null)">
            Reiniciar
        </button>      
    </div>
  </ng-template>
</p-dialog>